# DarContact: Laurent Protois <laurent.protois@free.fr>

Summary: Genealogical Research and Analysis Management Programming System.
Name: gramps
Version: 0.9.3
Release: 0.dag
License: GPL
Group: Applications/Productivity
URL: http://gramps.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: autoconf >= 2.52, automake >= 1.6, scrollkeeper >= 0.1.4
BuildRequires: gnome-python2-canvas, gnome-python2-gconf
BuildRequires: pygtk2, pygtk2-libglade

Requires: python >= 2.2, gnome-python2-canvas, gnome-python2-gconf
Requires: pygtk2, pygtk2-libglade

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup

%build
%configure \
	 --disable-schemas-install
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall GNOME_DATADIR="%{buildroot}%{_datadir}"
%find_lang %{name}

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications
desktop-file-install --vendor gnome --delete-original \
	--add-category X-Red-Hat-Base                 \
	--add-category Application                    \
	--add-category utility                        \
	--dir %{buildroot}%{_datadir}/applications    \
	%{buildroot}%{_datadir}/gramps/%{name}.desktop

%post
scrollkeeper-update -q

%postun
scrollkeeper-update -q

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc %{_mandir}/man?/*
#%doc %{_datadir}/gnome/help/gramps-manual/
#%doc %{_datadir}/gnome/help/extending-gramps/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/apps/Applications/*.desktop
%{_datadir}/gramps/
%{_datadir}/omf/gramps/
%{_datadir}/pixmaps/*
 
%changelog
* Wed Jul 16 2003 Dag Wieers <dag@wieers.com> - 0.9.3-0
- Updated to release 0.9.3.

* Tue Jun 03 2003 Dag Wieers <dag@wieers.com> - 0.9.2-0
- Updated to release 0.9.2.

* Mon Apr 21 2003 Dag Wieers <dag@wieers.com> - 0.9.1-0
- Updated to release 0.9.1.

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 0.9.0-0
- Updated to release 0.9.0.

* Sun Feb 16 2003 Dag Wieers <dag@wieers.com> - 0.8.1-0
- Initial package. (using DAR)
